/* REXX routine to emulate the Windows "ipconfig" command */

/* This routine only handles interfaces which are up */
/* You may contact me via email to jlemay@pclansolutions.com */
/* Written April 18 1998 rev 1.0 */

'@echo off'

parse arg iFace


IF iFace = '' THEN
	DO
	SAY
	SAY 'Usage: IPCONFIG <interface>'
	SAY
	EXIT
	END


'ifconfig 'iFace' > iFace.txt'

Do WHILE lines(iFace.txt)
	line = LineIn(iFace.txt)
	IF Pos('inet', line) >< 0 THEN
		PARSE VAR line 'inet ' ip ' netmask x' mask ' broadcast '

END


/* Manipulate SNM to Decimal format */
oct1 = Substr(mask, 1, 2)
oct2 = Substr(mask, 3, 2)
oct3 = Substr(mask, 5, 2)
oct4 = Substr(mask, 7, 2)


/* This line courtesy of Undernet's NewOrder - Thanks Jason! */
decMask = x2D(oct1)||.||x2D(oct2)||.||x2D(oct3)||.||x2D(oct4)


/* Display Results */
SAY
SAY
SAY 'OS/2 IP Configuration'
SAY
SAY 'Interface: 'iFace
SAY 
SAY 'IP Address   .   .   .   .   :  'ip
SAY 'Subnet Mask  .   .   .   .   :  'decmask
/* SAY 'Default Gateway  .   .   .   :   xxxxxxxx' */
/* I'll implement this when I figure out how! */

